Package org.pgpainless.decryption_verification

# Interface CustomPublicKeyDataDecryptorFactory

All Superinterfaces:
  `org.bouncycastle.openpgp.operator.PGPDataDecryptorFactory`, `org.bouncycastle.openpgp.operator.PublicKeyDataDecryptorFactory`

All Known Implementing Classes:
  `CachingBcPublicKeyDataDecryptorFactory`, `HardwareSecurity.HardwareDataDecryptorFactory`

public interface CustomPublicKeyDataDecryptorFactory extends org.bouncycastle.openpgp.operator.PublicKeyDataDecryptorFactory
Custom `PublicKeyDataDecryptorFactory` which can enable customized implementations of message decryption using public keys. This class can for example be used to implement message encryption using hardware tokens like smartcards or TPMs.

See Also:
  - `ConsumerOptions.addCustomDecryptorFactory(CustomPublicKeyDataDecryptorFactory)`

## Method Summary

Modifier and Type
Method
Description
`SubkeyIdentifier`
`getSubkeyIdentifier()`
Return the `SubkeyIdentifier` for which this particular `CustomPublicKeyDataDecryptorFactory` is intended.

### Methods inherited from interface org.bouncycastle.openpgp.operator.PGPDataDecryptorFactory

`createDataDecryptor, createDataDecryptor, createDataDecryptor`

### Methods inherited from interface org.bouncycastle.openpgp.operator.PublicKeyDataDecryptorFactory

`recoverSessionData`

## Method Details

### getSubkeyIdentifier

SubkeyIdentifier getSubkeyIdentifier()
Return the `SubkeyIdentifier` for which this particular `CustomPublicKeyDataDecryptorFactory` is intended.

Returns:
  subkey identifier